# -*- coding: utf-8 -*-

# Si pour une raison ou pour une autre, il est nécessaire de recréer une matrice.png
# à partir des toutes les images grille-xxx.png, il suffit de lancer ce script

import Image
import os


# Récupère le nombre d'images dans le dossier "images"
sortie = os.popen('''ls images/ | wc -l''').read()

# La sortie de os.popen... est un string, il est donc nécessaire de le convertir
nb_images = int(sortie)

nb_lignes = nb_images/30

if (nb_images%30 != 0):
    nb_lignes +=1

width = 390
height = nb_lignes*10

patchwork = Image.new('RGB', (width, height), "white")

init_name = 9000000000
name = init_name - 1
last_name = init_name - nb_images

y = 0

for i in range(nb_lignes): 

    x = 0   

    for j in range(30):

        if (name < last_name):
            break
        
        temp = Image.open('images/grille-{0}.png'.format(name))
        patchwork.paste(temp, (x, y, x+13, y+10))

        x += 13
        name -= 1

    y += 10

patchwork.save('matrice.png')
